Subject: Re: Problems compiling Perl
From: [email-masked] (Mumit Khan)

24 Oct 1998 09:10:29 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]
Cc: [email-masked]

On Thu, 22 Oct 1998 [email-masked] wrote:
> 
> 1.  Running Configure, it only stopped at every other question.  This
> is reported to happen on win95/98, but not on NT.  I have NT.  It
> happened.  I followed the alternative procedure of putting in the
> hint/ suggestion for config.sh, manually editing it.  (It didn't seem
> to have nearly enough questions.)  Then I ran sh Configure -d (non
> interactive version).  

Does adding tty to CYGWIN32 variable help?
  
  $ export CYGWIN32="$CYGWIN32 tty"
  $ ./Configure [ ... ]

> 
> 2. When I tried running make, I found that the make files had
> pathnames of the form C:\\xxx\\xxx\\xx  instead of /bin, /usr/include,
> and so on, as intended.  
> *** Make (or gcc or?) couldn't find these files***
> I edited appropriate GNUMakefile files to replace all C:'s with//c's,
> and all \\ with /.  Now (a lot of it) worked.

Yeah, this is bad. GCC convert pathnames to native format and that
screws up make.

How about this patch to makedepend.SH? (beware: untested)

Fri Oct 23 22:39:06 1998  Mumit Khan  <[email-masked]>

	* makedepend.SH: Convert dependency filenames to posix path.

--- makedepend.SH.org	Fri Oct 23 22:36:16 1998
+++ makedepend.SH	Fri Oct 23 22:37:42 1998
@@ -98,6 +98,11 @@ $MAKE clist || ($echo "Searching for .c 
 	$echo *.c | $tr ' ' $trnl | $egrep -v '\*' >.clist)
 for file in `$cat .clist`; do
 # for file in `cat /dev/null`; do
+	if [ "$osname" = cygwin32 ]; then
+		cygwin32fix="-e s,\\\\\\\\,/,g -e s,\\([a-zA-Z]\\):/,/\\1/,g"
+	else
+		cygwin32fix=
+	fi
     case "$file" in
     *.c) filebase=`basename $file .c` ;;
     *.y) filebase=`basename $file .y` ;;
@@ -126,7 +131,7 @@ for file in `$cat .clist`; do
 	-e 's/^.*"\(.*\)".*$/'$filebase'\$(OBJ_EXT): \1/' \
 	-e 's/^# *[0-9][0-9]* \(.*\)$/'$filebase'\$(OBJ_EXT): \1/' \
 	-e 's|: \./|: |' \
-	-e 's|\.c\.c|.c|' | \
+	-e 's|\.c\.c|.c|' $cygwin32fix | \
     $uniq | $sort | $uniq >> .deptmp
 done

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".